#!/bin/sh
Clear
echo "Script to create installer..."
echo

echo
echo creating folders
echo

mkdir ~/Desktop/091-93471/
cd ~/Desktop/091-93471/

echo
echo Downloading files...
echo

if [ "`ls 091-93471.English.dist`" != "091-93471.English.dist" ]; then
curl https://swdist.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/091-93471.English.dist -o 091-93471.English.dist
fi;

if [ "`ls RecoveryHDMetaDmg.pkm`" != "RecoveryHDMetaDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/RecoveryHDMetaDmg.pkm -o RecoveryHDMetaDmg.pkm
fi;

if [ "`ls RecoveryHDMetaDmg.pkg`" != "RecoveryHDMetaDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/RecoveryHDMetaDmg.pkg -o RecoveryHDMetaDmg.pkg
fi;

if [ "`ls OSInstall.mpkg`" != "OSInstall.mpkg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/OSInstall.mpkg -o OSInstall.mpkg
fi;

if [ "`ls InstallAssistantAuto.pkm`" != "InstallAssistantAuto.pkm" ]; then
curl https://swdist.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallAssistantAuto.pkm -o InstallAssistantAuto.pkm
fi;

if [ "`ls InstallAssistantAuto.pkg`" != "InstallAssistantAuto.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallAssistantAuto.pkg -o InstallAssistantAuto.pkg
fi;

if [ "`ls BaseSystem.chunklist`" != "BaseSystem.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/BaseSystem.chunklist -o BaseSystem.chunklist
fi;

if [ "`ls BaseSystem.dmg`" != "BaseSystem.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/BaseSystem.dmg -o BaseSystem.dmg
fi;


if [ "`ls InstallESDDmg.pkm`" != "InstallESDDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallESDDmg.pkm -o InstallESDDmg.pkm
fi;

if [ "`ls InstallESDDmg.pkg`" != "InstallESDDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallESDDmg.pkg -o InstallESDDmg.pkg
fi;

if [ "`ls InstallESDDmg.chunklist`" != "InstallESDDmg.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallESDDmg.chunklist  -o InstallESDDmg.chunklist
fi;

if [ "`ls InstallInfo.plist`" != "InstallInfo.plist" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallInfo.plist -o InstallInfo.plist
fi;

if [ "`ls AppleDiagnostics.chunklist`" != "AppleDiagnostics.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/AppleDiagnostics.chunklist -o AppleDiagnostics.chunklist
fi;

if [ "`ls AppleDiagnostics.dmg`" != "AppleDiagnostics.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/AppleDiagnostics.dmg -o AppleDiagnostics.dmg
fi;

if [ "`ls MajorOSInfo.pkm`" != "MajorOSInfo.pkm" ]; then
curl https://swdist.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/MajorOSInfo.pkm -o MajorOSInfo.pkm
fi;

if [ "`ls MajorOSInfo.pkg`" != "MajorOSInfo.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/MajorOSInfo.pkg -o MajorOSInfo.pkg
fi;

if [ "`ls InstallAssistantAuto.smd`" != "InstallAssistantAuto.smd" ]; then
curl http://swcdn.apple.com/content/downloads/35/53/091-93471/ff5kp0aiow1d87t494xp5twbugymnlvz16/InstallAssistantAuto.smd -o InstallAssistantAuto.smd
fi;

echo
echo Building package...
echo


cd ..
productbuild --distribution ./091-93471/091-93471.English.dist --package-path ./091-93471/ installer.pkg

sudo /usr/sbin/installer -pkg installer.pkg -target /

echo
echo Copying files
echo

sudo cp ./091-93471/InstallESDDmg.pkg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/InstallESD.dmg
sudo cp ./091-93471/AppleDiagnostics.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./091-93471/AppleDiagnostics.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./091-93471/BaseSystem.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./091-93471/BaseSystem.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/

echo
echo Finished...
echo



